org.apache.pdfbox.preflight.font

## Class SimpleFontValidator<T extends FontContainer>

- java.lang.Object
- - org.apache.pdfbox.preflight.font.FontValidator<T>
  - - org.apache.pdfbox.preflight.font.SimpleFontValidator<T>

Direct Known Subclasses:
  DescendantFontValidator, TrueTypeFontValidator, Type1FontValidator

    public abstract class SimpleFontValidator<T extends FontContainer>
    extends FontValidator<T>

### Field Summary

Fields
`protected org.apache.pdfbox.pdmodel.font.PDFontLike` `font`
`protected org.apache.pdfbox.cos.COSDictionary` `fontDictionary`

### Fields inherited from class org.apache.pdfbox.preflight.font.FontValidator

`context, descriptorHelper, fontContainer`

### Constructor Summary

Constructors
Constructor and Description
`SimpleFontValidator(PreflightContext context, org.apache.pdfbox.pdmodel.font.PDFontLike font, org.apache.pdfbox.cos.COSDictionary fontDictionary, T fContainer)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `checkMandatoryField()`
`protected abstract void` `createFontDescriptorHelper()`
`protected void` `processFontDescriptorValidation()`
`void` `validate()` Call this method to validate the font wrapped by this object.

### Methods inherited from class org.apache.pdfbox.preflight.font.FontValidator

`checkEncoding, checkToUnicode, getFontContainer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### font

    protected final org.apache.pdfbox.pdmodel.font.PDFontLike font

#### fontDictionary

    protected final org.apache.pdfbox.cos.COSDictionary fontDictionary

### Constructor Detail

#### SimpleFontValidator

    public SimpleFontValidator(PreflightContext context,
                               org.apache.pdfbox.pdmodel.font.PDFontLike font,
                               org.apache.pdfbox.cos.COSDictionary fontDictionary,
                               T fContainer)

### Method Detail

#### validate

    public void validate()
                  throws ValidationException

Call this method to validate the font wrapped by this object. If the validation failed, the error is updated in the FontContainer with the right error code. Errors that are saved in the container will be added on the PreflightContext if the font is used later.

Specified by:
  `validate` in class `FontValidator<T extends FontContainer>`
Throws:
  `ValidationException`

#### checkMandatoryField

    protected void checkMandatoryField()

#### createFontDescriptorHelper

    protected abstract void createFontDescriptorHelper()

#### processFontDescriptorValidation

    protected void processFontDescriptorValidation()